/* This file is part of the KDE project
   Copyright (C) 2004 Nadeem Hasan <nhasan@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef IFCONFIGPAGE_H
#define IFCONFIGPAGE_H

#include "ifconfigpagebase.h"
#include "wificonfig.h"

class IfConfigPage : public IfConfigPageBase
{
  Q_OBJECT
  

  public:
    IfConfigPage( int configNum, TQWidget *parent, const char *name );
    ~IfConfigPage() {}

    void load();
    void save();

  protected slots:
    void slotSetupPower();
    void slotSetupCrypto();
    void slotResetInterface( bool checked );

  signals:
    void changed();
    void setupCrypto();
    void setupPower();

  private:
    int m_configNum;
};

#endif // IFCONFIGPAGE_H
